Products

Products

List, create, update and delete products. Scope: products.read / products.write.

List products

GET /v1/products
products.read
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Query
Name Type Description
page integer Page number (from 1, default 1)
per_page integer Items per page (default 25, max 200)
search string Free-text search
Request body

None

Response
data array
id string
name string
code string
price number
vat_rate string
unit string
description string
active boolean
meta object
page integer
per_page integer
total integer
pages integer

Examples

GET /v1/products
curl -X GET "https://api.appficient.nl/v1/products" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.

Create a product

POST /v1/products
products.write
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Headers
Name Type Description
Idempotency-Key string Optional on POST only; cached 24h; replay returns X-Idempotent-Replay
Request body
name string Required
code string
price number
vat_rate string
unit string
description string
active boolean
Example: 1
Response
data object
id string
name string
code string
price number
vat_rate string
unit string
description string
active boolean
meta object

Examples

POST /v1/products
curl -X POST "https://api.appficient.nl/v1/products" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "code": "string",
    "price": 0,
    "vat_rate": "string",
    "unit": "string",
    "description": "string",
    "active": true
}'

Curl, Node and response are shown to the right of this endpoint.

Retrieve a product

GET /v1/products/{id}
products.read
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Name Type Description
id Required string Resource id (UUID, lowercase)
Request body

None

Response
data object
id string
name string
code string
price number
vat_rate string
unit string
description string
active boolean
meta object

Examples

GET /v1/products/{id}
curl -X GET "https://api.appficient.nl/v1/products/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.

Update a product

PATCH /v1/products/{id}
products.write
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Name Type Description
id Required string Resource id (UUID, lowercase)
Request body
name string
code string
price number
vat_rate string
unit string
description string
active boolean
Response
data object
id string
name string
code string
price number
vat_rate string
unit string
description string
active boolean
meta object

Examples

PATCH /v1/products/{id}
curl -X PATCH "https://api.appficient.nl/v1/products/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "code": "string",
    "price": 0,
    "vat_rate": "string",
    "unit": "string",
    "description": "string",
    "active": false
}'

Curl, Node and response are shown to the right of this endpoint.

Delete a product

DELETE /v1/products/{id}
products.write
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Name Type Description
id Required string Resource id (UUID, lowercase)
Request body

None

Response

None

Examples

DELETE /v1/products/{id}
curl -X DELETE "https://api.appficient.nl/v1/products/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.